Bug 1130523 - [abrt] pyhoca-gui: _stdout.py:112:get_session_type:IndexError: list index out of range
Summary: [abrt] pyhoca-gui: _stdout.py:112:get_session_type:IndexError: list index out...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pyhoca-gui
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:93c789fc7bc7bc32ac3cc41ca91...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-15 12:59 UTC by klaus
Modified: 2014-11-17 06:28 UTC (History)
1 user (show)

Fixed In Version: pyhoca-gui-0.5.0.0-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-17 06:28:58 UTC


Attachments (Terms of Use)
File: backtrace (1.67 KB, text/plain)
2014-08-15 12:59 UTC, klaus
no flags Details
File: environ (1.81 KB, text/plain)
2014-08-15 12:59 UTC, klaus
no flags Details

Description klaus 2014-08-15 12:59:29 UTC
Description of problem:
restating a session

Version-Release number of selected component:
pyhoca-gui-0.4.0.9-1.fc20

Additional info:
reporter:       libreport-2.2.3
cmdline:        pyhoca-gui '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' ''
dso_list:       python-x2go-0.4.0.9-1.fc20.noarch
executable:     /usr/bin/pyhoca-gui
kernel:         3.15.8-200.fc20.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
_stdout.py:112:get_session_type:IndexError: list index out of range

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/pyhoca/wxgui/frontend.py", line 815, in OnSessionStart
    self._X2GoClient__list_sessions(session_uuid, refresh_cache=True)
  File "/usr/lib/python2.7/site-packages/x2go/client.py", line 2676, in list_sessions
    self.update_sessionregistry_status_by_profile_name(profile_name=self.get_session_profile_name(session_uuid), session_list=_session_list)
  File "/usr/lib/python2.7/site-packages/x2go/client.py", line 3046, in update_sessionregistry_status_by_profile_name
    self.session_registry.update_status(profile_name=profile_name, session_list=session_list)
  File "/usr/lib/python2.7/site-packages/x2go/registry.py", line 369, in update_status
    if _r_a_s.is_desktop_session():
  File "/usr/lib/python2.7/site-packages/x2go/session.py", line 2197, in is_desktop_session
    return self.terminal_session.is_desktop_session()
  File "/usr/lib/python2.7/site-packages/x2go/backends/terminal/_stdout.py", line 1251, in is_desktop_session
    return self.session_info.is_desktop_session()
  File "/usr/lib/python2.7/site-packages/x2go/backends/info/_stdout.py", line 151, in is_desktop_session
    return self.get_session_type() == 'D'
  File "/usr/lib/python2.7/site-packages/x2go/backends/info/_stdout.py", line 112, in get_session_type
    cmd = self.name.split('_')[1]
IndexError: list index out of range

Local variables in innermost frame:
self: X2GoServerSessionInfoSTDOUT(agent_pid=,cookie=,date_created=,date_suspended=,display=,graphics_port=,hostname=,local_container=,name=,protected=False,remote_container=,snd_port=,sshfs_port=,status=,username=)

Comment 1 klaus 2014-08-15 12:59:32 UTC
Created attachment 927080 [details]
File: backtrace

Comment 2 klaus 2014-08-15 12:59:33 UTC
Created attachment 927081 [details]
File: environ

Comment 3 Orion Poplawski 2014-08-15 15:35:22 UTC
Can you ssh to the remote system and report the output of "x2golistsessions" ?

Comment 4 klaus 2014-08-16 08:45:08 UTC
31009|klausk-57-1408029433_stDKDE_dp24|57|bren.hih.au.dk|R|2014-08-14T17:17:14|63a25c149a0bb5b5910235f425cd0fcd|78.156.124.189|30035|30036|2014-08-15T15:00:03|klausk|149149|30037|

No sure if this is the problematic session, though. 

|<

Comment 5 Fedora Update System 2014-10-20 15:31:00 UTC
pyhoca-gui-0.5.0.0-1.fc20, pyhoca-cli-0.5.0.0-1.fc20, python-x2go-0.5.0.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/pyhoca-gui-0.5.0.0-1.fc20,pyhoca-cli-0.5.0.0-1.fc20,python-x2go-0.5.0.0-1.fc20

Comment 6 Fedora Update System 2014-10-21 10:25:48 UTC
Package pyhoca-gui-0.5.0.0-1.fc20, pyhoca-cli-0.5.0.0-1.fc20, python-x2go-0.5.0.0-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing pyhoca-gui-0.5.0.0-1.fc20 pyhoca-cli-0.5.0.0-1.fc20 python-x2go-0.5.0.0-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-13341/pyhoca-gui-0.5.0.0-1.fc20,pyhoca-cli-0.5.0.0-1.fc20,python-x2go-0.5.0.0-1.fc20
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2014-11-17 06:28:58 UTC
pyhoca-gui-0.5.0.0-1.fc20, pyhoca-cli-0.5.0.0-1.fc20, python-x2go-0.5.0.0-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.